Subject: Re: Confusion about diffing branches

From: Jakub Narebski <[email-masked]>
Date: Tue, 28 Aug 2007 00:20:23 +0200

Shawn Bohrer wrote:

> I must admit that for me, a new git user, it would be much more
> intuitive if all git commands used the same syntax for specifying
> revisions.  After all every other git command that I have used so far
> uses the opposite syntax as git-diff.  This includes git-log,
> git-format-patch, gitk, git-rev-list, and git-rev-parse.

git-rev-list, git-log, gitk accepts _range_ of commits. git-diff and
its variants accepts _endpoints_ to compare, with some syntactic sugar
to be able to copy arguments from "git log a..b" to "git diff a..b". 
The arguments are just simply different type.

As to git-format-patch, there is matter of backward compatibilty
and ease of use (get last commit as a patch).

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git